package com.heyu.api.data.service.vv;
/**
* <p>
* 推广者获得奖品名细子单 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-25
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvPromoterAwardLineEntity;
public interface VvPromoterAwardLineService extends IService<VvPromoterAwardLineEntity> {



	VvPromoterAwardLineEntity selectVvPromoterAwardLineById(Long id);


	Long insertVvPromoterAwardLine(VvPromoterAwardLineEntity vvPromoterAwardLine);


	Long insertOrUpdateVvPromoterAwardLine(VvPromoterAwardLineEntity vvPromoterAwardLine);


	int updateVvPromoterAwardLineById(VvPromoterAwardLineEntity vvPromoterAwardLine);


	int updateCoverVvPromoterAwardLineById(VvPromoterAwardLineEntity vvPromoterAwardLine);


	int deleteVvPromoterAwardLineById(Long id);


}